<?php
namespace Claromentis\Menu;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_787716e85b3b" . "1de5c15456747" . "d65bab1" => base64_decode("bWVudV9id" . "WlsZGVyLm" . "xpbms="), "_f88c0980467f304d271bba9" . "1bea8da3f" => base64_decode("bWVudV9idWls" . "ZGVyLnBhZ2U="), "_7631abf8f2" . "3410319b711" . "5e54aa60c6d" => base64_decode("bWVudV9idW" . "lsZGVyLmZv" . "bGRlcg=="), "_0c5123aa744f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZ" . "w=="));






class NodeType
{
    const PAGE = 1;
    const LINK = 2;
    const FOLDER = 3;
    public static function GetDescription($type)
    {
        static $node_type_descr_localized;
        if (!isset($node_type_descr_localized)) {
            $node_type_descr_localized = array(self::PAGE => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_f88c0980" . "467f304d2" . "71bba91be" . "a8da3f"]), self::LINK => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_787716e" . "85b3b1de" . "5c154567" . "47d65bab" . "1"]), self::FOLDER => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_7631abf8f23410319b7115e54aa6" . "0c6d"]));
        }
        if (isset($node_type_descr_localized[$type])) {
            return $node_type_descr_localized[$type];
        } else {
            return null;
        }
    }
    public static function GetByCode($code)
    {
        static $node_types = array("page" => self::PAGE, "link" => self::LINK, "folder" => self::FOLDER);
        if (isset($node_types[$code])) {
            return $node_types[$code];
        } else {
            return null;
        }
    }
    public static function GetCode($type)
    {
        static $codes = array(self::PAGE => "page", self::LINK => "link", self::FOLDER => "folder");
        if (isset($codes[$type])) {
            return $codes[$type];
        } else {
            return null;
        }
    }
}